import 'dart:convert';
import 'dart:typed_data';
import 'dart:ui';

void addColor(Color? color, String name, Map arguments) {
  if (color != null) arguments[name] = toColorString(color);
}

void addParam(dynamic argument, String name, Map arguments) {
  if (argument != null) arguments[name] = argument;
}

String? toColorString(Color? color) {
  return color != null ? '#${color.value.toRadixString(16)}' : null;
}

Color colorFromString(String color) {
  var valueString = color.replaceAll('#', '');
  var value = int.parse(valueString, radix: 16);
  return Color(value);
}

Uri stringToFileUri(String string) {
  return Uri.parse(string);
}

String fileUriToString(Uri uri) {
  return uri.toString();
}

Uint8List uintListFromString(String string) {
  return Base64Decoder().convert(string);
}

DateTime? dateFromString(String? string) {
  if (string == null) return null;
  return DateTime.parse(string);
}
